Get team bookings
If accessed using an OAuth access token, the TEAM_BOOKING_READ scope is required.
Headers
value must be Bearer <token> where <token> is api key prefixed with cal_
Path Parameters
Query Parameters
Filter bookings by status. If you want to filter by multiple statuses, separate them with a comma.
upcoming, recurring, past, cancelled, unconfirmed "?status=upcoming,past"
Filter bookings by the attendee's email address.
Filter bookings by the attendee's name.
"John Doe"
Filter bookings by the booking Uid.
"2NtaeaVcKfpmSZ4CthFdfk"
Filter bookings by event type ids. Event type ids must be separated by a comma.
"?eventTypeIds=100,200"
Filter bookings by event type id.
"?eventTypeId=100"
Filter bookings with start after this date string.
"?afterStart=2025-03-07T10:00:00.000Z"
Filter bookings with end before this date string.
"?beforeEnd=2025-03-07T11:00:00.000Z"
Filter bookings that have been created after this date string.
"?afterCreatedAt=2025-03-07T10:00:00.000Z"
Filter bookings that have been created before this date string.
"?beforeCreatedAt=2025-03-14T11:00:00.000Z"
Filter bookings that have been updated after this date string.
"?afterUpdatedAt=2025-03-07T10:00:00.000Z"
Filter bookings that have been updated before this date string.
"?beforeUpdatedAt=2025-03-14T11:00:00.000Z"
Sort results by their start time in ascending or descending order.
asc, desc "?sortStart=asc OR ?sortStart=desc"
Sort results by their end time in ascending or descending order.
asc, desc "?sortEnd=asc OR ?sortEnd=desc"
Sort results by their creation time (when booking was made) in ascending or descending order.
asc, desc "?sortCreated=asc OR ?sortCreated=desc"
Sort results by their updated time (for example when booking status changes) in ascending or descending order.
asc, desc "?sortUpdatedAt=asc OR ?sortUpdatedAt=desc"
The number of items to return
10
The number of items to skip
0